part of 'explore_cubit.dart';

abstract class ExploreState extends Equatable {
  const ExploreState();

  @override
  List<Object> get props => [];
}

class ExploreInitial extends ExploreState {}

class ExploreLoading extends ExploreState {}

class ExploreSuccess extends ExploreState {
  final List<Recipe> recipes;
  const ExploreSuccess(this.recipes);

  @override
  List<Object> get props => [recipes];
}

class ExploreFailure extends ExploreState {
  final String message;

  ExploreFailure({this.message = ""});

  @override
  List<Object> get props => [message];
}
